- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::operation::linemerge::LineMergeDirectedEdge Class Reference

A planargraph::DirectedEdge of a LineMergeGraph. More...

`#include <LineMergeDirectedEdge.h>`

Inheritance diagram for geos::operation::linemerge::LineMergeDirectedEdge:

List of all members.

## Public Member Functions
| LineMergeDirectedEdge (planargraph::Node *from, planargraph::Node *to, const geom::Coordinate &directionPt, bool edgeDirection)
LineMergeDirectedEdge * | getNext ()

## Detailed Description

A planargraph::DirectedEdge of a LineMergeGraph.

## Constructor & Destructor Documentation

geos::operation::linemerge::LineMergeDirectedEdge::LineMergeDirectedEdge | ( | planargraph::Node * | from,
|  | planargraph::Node * | to,
|  | const geom::Coordinate & | directionPt,
|  | bool | edgeDirection |
| ) |  |  |

Constructs a LineMergeDirectedEdge connecting the `from` node to the `to` node.

Parameters:

  | directionPt | specifies this DirectedEdge's direction (given by an imaginary line from the `from` node to `directionPt`)
  | edgeDirection | whether this DirectedEdge's direction is the same as or opposite to that of the parent Edge (if any)

## Member Function Documentation

LineMergeDirectedEdge* geos::operation::linemerge::LineMergeDirectedEdge::getNext | ( |  | ) |

Returns the directed edge that starts at this directed edge's end point, or null if there are zero or multiple directed edges starting there.

Returns:

The documentation for this class was generated from the following file:

- LineMergeDirectedEdge.h